com.smartgwt.client.types

## Enum SelectionStyle

- java.lang.Object
- - java.lang.Enum<SelectionStyle>
  - - com.smartgwt.client.types.SelectionStyle

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<SelectionStyle>

      public enum SelectionStyle
      extends java.lang.Enum<SelectionStyle>
      implements ValueEnum

  Different styles of selection that a list, etc. might support

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTIPLE` select one or more items
    `NONE` don't select at all
    `SIMPLE` select one or more items as a toggle so you don't need to hold down control keys to select more than one object
    `SINGLE` select only one item at a time

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static SelectionStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SelectionStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SelectionStyle NONE

      don't select at all

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

    - #### SINGLE

          public static final SelectionStyle SINGLE

      select only one item at a time

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "single".

    - #### MULTIPLE

          public static final SelectionStyle MULTIPLE

      select one or more items

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "multiple".

    - #### SIMPLE

          public static final SelectionStyle SIMPLE

      select one or more items as a toggle so you don't need to hold down control keys to select more than one object

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "simple".

  - ### Method Detail

    - #### values

          public static SelectionStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectionStyle c : SelectionStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectionStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`